Page MenuHomePhabricator

Wikibase and WikibaseLexeme tests now take more than 1 hour
Closed, ResolvedPublic

Description

Right now, It takes more than one hour to merge a patch in Wikibase or Wikibase lexeme:

  • quibble-vendor-mysql-hhvm-docker SUCCESS in 46m 48s
  • quibble-vendor-mysql-php70-docker SUCCESS in 45m 19s
  • quibble-vendor-mysql-php71-docker SUCCESS in 52m 57s
  • quibble-vendor-mysql-php72-docker SUCCESS in 58m 39s
  • quibble-vendor-mysql-php73-docker SUCCESS in 51m 46s

CI aborts the process and calling it a timeout making us unable to merge anything at the moment.

One note: After one weekend suddenly run time of wikibase patches doubled and I filed T228739: Jenkins runs Scribunto tests in Wikibase patches for that.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2019, 1:11 PM
Ladsgroup triaged this task as Unbreak Now! priority.Aug 26 2019, 1:11 PM

We can't merge anything at Wikibase/WikibaseLexeme right now.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptAug 26 2019, 1:11 PM

Change 532379 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[integration/config@master] Drop Scribunto as dependency of Wikibase for now

https://gerrit.wikimedia.org/r/532379

Change 532379 merged by jenkins-bot:
[integration/config@master] Drop Scribunto as dependency of Wikibase for now

https://gerrit.wikimedia.org/r/532379

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Not a shared build failure; isolated to Lexeme and things that depend on it.

The issue actually started in Friday:

Before Friday it took this for phpunit excluding database group:

Time: 3.66 minutes, Memory: 1716.30MB

In Friday it took:

Time: 9.1 minutes, Memory: 2710.30MB

No test got added or removed (looking at slow tests logs) every single test just got slower.

Change 532398 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[integration/config@master] Add dropped Wikibase dependencies as comments

https://gerrit.wikimedia.org/r/532398

Change 532399 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Revert "Make LocalisationCache a service"

https://gerrit.wikimedia.org/r/532399

@Ladsgroup you should probably coordinate that revert with T231183: L10n cache is completely broken (also UBN).

@Ladsgroup you should probably coordinate that revert with T231183: L10n cache is completely broken (also UBN).

The patch also reverts the root cause of the other task.

Change 532398 merged by jenkins-bot:
[integration/config@master] Add dropped Wikibase dependencies as comments

https://gerrit.wikimedia.org/r/532398

Krinkle renamed this task from Wikibase and WikibaseLexeme tests now take more than 1 hour in php7.2 to Wikibase and WikibaseLexeme tests now take more than 1 hour.Aug 26 2019, 5:30 PM
Krinkle updated the task description. (Show Details)

The issue actually started in Friday:

Before Friday it took this for phpunit excluding database group:

Time: 3.66 minutes, Memory: 1716.30MB

In Friday it took:

Time: 9.1 minutes, Memory: 2710.30MB

No test got added or removed (looking at slow tests logs) every single test just got slower.

Wrote a short script on contint1001 to verify this. This is the 2nd "Time:" log line for quibble-vendor-mysql-php70-docker jobs for the mediawiki/extensions/Wikibase\b repo for successful builds that were successful:

job     timestamp       duration
27496   2019-08-20T14:06:55+0000        Time: 3.79 minutes, Memory: 1712.30MB
27520   2019-08-20T16:01:22+0000        Time: 3.55 minutes, Memory: 1712.30MB
27528   2019-08-20T17:34:28+0000        Time: 3.83 minutes, Memory: 1712.30MB
27556   2019-08-20T20:50:00+0000        Time: 3.85 minutes, Memory: 1712.30MB
27583   2019-08-21T08:39:52+0000        Time: 4.26 minutes, Memory: 1712.30MB
27584   2019-08-21T09:21:48+0000        Time: 3.89 minutes, Memory: 1714.30MB
27588   2019-08-21T13:14:03+0000        Time: 3.75 minutes, Memory: 1714.30MB
27594   2019-08-21T14:29:00+0000        Time: 3.7 minutes, Memory: 1716.30MB
27596   2019-08-21T14:45:18+0000        Time: 3.65 minutes, Memory: 1716.30MB
27598   2019-08-21T15:18:05+0000        Time: 3.79 minutes, Memory: 1712.30MB
27599   2019-08-21T15:18:46+0000        Time: 4.04 minutes, Memory: 1714.30MB
27600   2019-08-21T15:26:53+0000        Time: 3.88 minutes, Memory: 1714.30MB
27609   2019-08-21T17:10:42+0000        Time: 3.54 minutes, Memory: 1720.30MB
27617   2019-08-21T19:00:12+0000        Time: 4.19 minutes, Memory: 1718.30MB
27631   2019-08-22T06:59:10+0000        Time: 3.97 minutes, Memory: 1716.30MB
27632   2019-08-22T06:59:11+0000        Time: 3.72 minutes, Memory: 1720.30MB
27633   2019-08-22T06:59:18+0000        Time: 4.21 minutes, Memory: 1716.30MB
27634   2019-08-22T07:08:00+0000        Time: 3.66 minutes, Memory: 1716.30MB
27635   2019-08-22T08:48:45+0000        Time: 3.69 minutes, Memory: 1722.30MB
27638   2019-08-22T10:07:19+0000        Time: 3.81 minutes, Memory: 1720.30MB
27640   2019-08-22T11:19:42+0000        Time: 3.73 minutes, Memory: 1726.30MB
27641   2019-08-22T11:43:31+0000        Time: 3.74 minutes, Memory: 1720.30MB
27647   2019-08-22T15:47:41+0000        Time: 3.65 minutes, Memory: 1720.30MB
27710   2019-08-23T09:15:23+0000        Time: 8.96 minutes, Memory: 2700.30MB
27858   2019-08-24T10:43:15+0000        Time: 8.92 minutes, Memory: 2708.30MB
27859   2019-08-24T10:45:44+0000        Time: 9.1 minutes, Memory: 2710.30MB
27921   2019-08-26T10:49:27+0000        Time: 8.94 minutes, Memory: 2712.32MB
27923   2019-08-26T10:53:47+0000        Time: 8.94 minutes, Memory: 2712.32MB
27927   2019-08-26T11:51:00+0000        Time: 9.24 minutes, Memory: 2712.32MB
27940   2019-08-26T15:06:48+0000        Time: 8.88 minutes, Memory: 2706.30MB
27952   2019-08-26T16:30:33+0000        Time: 10.48 minutes, Memory: 2706.30MB

Here's that same info for all extensions:

27434   2019-08-19T17:47:59+0000        Time: 3.92 minutes, Memory: 1730.31MB
27435   2019-08-19T18:14:25+0000        Time: 3.98 minutes, Memory: 1744.44MB
27436   2019-08-19T18:14:37+0000        Time: 6.3 seconds, Memory: 100.00MB
27437   2019-08-19T18:44:44+0000        Time: 6.71 seconds, Memory: 108.00MB
27438   2019-08-19T18:44:46+0000        Time: 5.23 seconds, Memory: 100.00MB
27439   2019-08-19T18:44:48+0000        Time: 1.04 minutes, Memory: 222.00MB
27440   2019-08-19T18:53:34+0000        Time: 11.19 seconds, Memory: 144.00MB
27441   2019-08-19T19:33:15+0000        Time: 5.96 seconds, Memory: 100.00MB
27442   2019-08-19T19:48:19+0000        Time: 5.8 seconds, Memory: 102.00MB
27445   2019-08-19T21:23:47+0000        Time: 7.76 seconds, Memory: 140.00MB
27446   2019-08-19T21:24:42+0000        Time: 5.1 seconds, Memory: 100.00MB
27447   2019-08-19T21:54:45+0000        Time: 5.52 seconds, Memory: 100.00MB
27448   2019-08-20T01:09:37+0000        Time: 8.87 seconds, Memory: 146.00MB
27449   2019-08-20T05:52:20+0000        Time: 5.46 seconds, Memory: 104.00MB
27450   2019-08-20T07:04:51+0000        Time: 5.29 seconds, Memory: 100.00MB
27451   2019-08-20T07:57:55+0000        Time: 1.16 minutes, Memory: 272.00MB
27452   2019-08-20T07:58:29+0000        Time: 1.1 minutes, Memory: 274.00MB
27453   2019-08-20T08:14:34+0000        Time: 1.1 minutes, Memory: 272.00MB
27455   2019-08-20T09:26:03+0000        Time: 7.1 seconds, Memory: 138.00MB
27456   2019-08-20T09:43:22+0000        Time: 5.72 seconds, Memory: 100.00MB
27457   2019-08-20T09:50:15+0000        Time: 5.49 seconds, Memory: 100.00MB
27458   2019-08-20T10:02:35+0000        Time: 6.01 seconds, Memory: 102.00MB
27459   2019-08-20T10:02:40+0000        Time: 7.81 seconds, Memory: 132.00MB
27460   2019-08-20T10:03:12+0000        Time: 5.08 seconds, Memory: 102.00MB
27461   2019-08-20T10:05:26+0000        Time: 4.95 seconds, Memory: 100.00MB
27464   2019-08-20T10:08:54+0000        Time: 6.54 seconds, Memory: 100.00MB
27465   2019-08-20T10:09:36+0000        Time: 4.87 seconds, Memory: 100.00MB
27466   2019-08-20T10:17:50+0000        Time: 5.7 seconds, Memory: 108.00MB
27467   2019-08-20T11:12:16+0000        Time: 1.01 minutes, Memory: 192.00MB
27468   2019-08-20T11:38:46+0000        Time: 7.5 seconds, Memory: 124.00MB
27469   2019-08-20T11:40:16+0000        Time: 5.76 seconds, Memory: 100.00MB
27470   2019-08-20T11:44:28+0000        Time: 5.03 seconds, Memory: 102.00MB
27471   2019-08-20T11:47:00+0000        Time: 3.5 minutes, Memory: 1710.30MB
27472   2019-08-20T12:01:24+0000        Time: 1.08 minutes, Memory: 288.00MB
27473   2019-08-20T12:05:00+0000        Time: 8.05 seconds, Memory: 128.00MB
27474   2019-08-20T12:08:26+0000        Time: 8.79 seconds, Memory: 124.00MB
27475   2019-08-20T12:19:04+0000        Time: 5.26 seconds, Memory: 100.00MB
27476   2019-08-20T12:20:29+0000        Time: 57.52 seconds, Memory: 190.00MB
27477   2019-08-20T12:21:48+0000        Time: 7.42 seconds, Memory: 128.00MB
27478   2019-08-20T12:23:47+0000        Time: 7.16 seconds, Memory: 128.00MB
27479   2019-08-20T12:26:11+0000        Time: 6.96 seconds, Memory: 128.00MB
27480   2019-08-20T12:32:42+0000        Time: 5.71 seconds, Memory: 100.00MB
27481   2019-08-20T12:37:55+0000        Time: 1.48 minutes, Memory: 378.00MB
27482   2019-08-20T12:39:41+0000        Time: 7.29 seconds, Memory: 128.00MB
27483   2019-08-20T12:43:52+0000        Time: 1.31 minutes, Memory: 378.00MB
27484   2019-08-20T12:45:51+0000        Time: 7.77 seconds, Memory: 128.00MB
27485   2019-08-20T12:47:29+0000        Time: 7.72 seconds, Memory: 128.00MB
27486   2019-08-20T12:50:07+0000        Time: 8.11 seconds, Memory: 128.00MB
27487   2019-08-20T12:51:45+0000        Time: 7.05 seconds, Memory: 128.00MB
27488   2019-08-20T12:53:41+0000        Time: 1.4 minutes, Memory: 378.00MB
27489   2019-08-20T13:25:06+0000        Time: 6.3 seconds, Memory: 104.00MB
27490   2019-08-20T13:40:34+0000        Time: 5.21 seconds, Memory: 104.00MB
27491   2019-08-20T13:46:39+0000        Time: 7.83 seconds, Memory: 130.00MB
27492   2019-08-20T13:46:42+0000        Time: 6.76 seconds, Memory: 130.00MB
27493   2019-08-20T13:46:45+0000        Time: 7.92 seconds, Memory: 128.00MB
27494   2019-08-20T13:48:56+0000        Time: 5.24 seconds, Memory: 100.00MB
27495   2019-08-20T13:51:11+0000        Time: 1.39 minutes, Memory: 388.00MB
27496   2019-08-20T14:06:55+0000        Time: 3.79 minutes, Memory: 1712.30MB
27497   2019-08-20T14:09:53+0000        Time: 5.53 seconds, Memory: 104.00MB
27498   2019-08-20T14:16:57+0000        Time: 5.44 seconds, Memory: 100.00MB
27499   2019-08-20T14:19:39+0000        Time: 7.81 seconds, Memory: 138.00MB
27500   2019-08-20T14:21:00+0000        Time: 5.73 seconds, Memory: 100.00MB
27501   2019-08-20T14:21:41+0000        Time: 6.13 seconds, Memory: 104.00MB
27502   2019-08-20T14:23:45+0000        Time: 6.3 seconds, Memory: 104.00MB
27503   2019-08-20T14:25:08+0000        Time: 4.95 seconds, Memory: 100.00MB
27504   2019-08-20T14:26:22+0000        Time: 3.59 minutes, Memory: 1710.30MB
27505   2019-08-20T14:27:37+0000        Time: 5.65 seconds, Memory: 100.00MB
27506   2019-08-20T14:46:06+0000        Time: 6.76 seconds, Memory: 132.00MB
27507   2019-08-20T14:46:31+0000        Time: 5.41 seconds, Memory: 100.00MB
27508   2019-08-20T14:47:16+0000        Time: 9.52 seconds, Memory: 140.00MB
27509   2019-08-20T14:52:58+0000        Time: 5.37 seconds, Memory: 100.00MB
27511   2019-08-20T15:05:48+0000        Time: 58.58 seconds, Memory: 192.00MB
27512   2019-08-20T15:09:41+0000        Time: 1.23 minutes, Memory: 314.00MB
27515   2019-08-20T15:22:20+0000        Time: 1.03 minutes, Memory: 192.00MB
27516   2019-08-20T15:26:46+0000        Time: 1.1 minutes, Memory: 212.00MB
27517   2019-08-20T15:29:48+0000        Time: 7.4 seconds, Memory: 132.00MB
27518   2019-08-20T15:32:43+0000        Time: 1.17 minutes, Memory: 316.00MB
27519   2019-08-20T15:36:20+0000        Time: 5.46 seconds, Memory: 102.00MB
27520   2019-08-20T16:01:22+0000        Time: 3.55 minutes, Memory: 1712.30MB
27521   2019-08-20T16:04:37+0000        Time: 8.47 seconds, Memory: 130.00MB
27522   2019-08-20T16:28:40+0000        Time: 6.08 seconds, Memory: 106.00MB
27523   2019-08-20T17:03:38+0000        Time: 5.72 seconds, Memory: 100.00MB
27524   2019-08-20T17:09:29+0000        Time: 1.02 minutes, Memory: 192.00MB
27525   2019-08-20T17:11:21+0000        Time: 1.35 minutes, Memory: 380.00MB
27526   2019-08-20T17:17:04+0000        Time: 6.14 seconds, Memory: 102.00MB
27528   2019-08-20T17:34:28+0000        Time: 3.83 minutes, Memory: 1712.30MB
27531   2019-08-20T18:28:33+0000        Time: 6.99 seconds, Memory: 130.00MB
27534   2019-08-20T19:31:25+0000        Time: 1.19 minutes, Memory: 314.00MB
27535   2019-08-20T19:35:24+0000        Time: 6.85 seconds, Memory: 130.00MB
27536   2019-08-20T19:36:10+0000        Time: 7.57 seconds, Memory: 130.00MB
27537   2019-08-20T19:54:23+0000        Time: 7.36 seconds, Memory: 130.00MB
27538   2019-08-20T20:01:21+0000        Time: 5.04 seconds, Memory: 100.00MB
27539   2019-08-20T20:01:55+0000        Time: 5.44 seconds, Memory: 100.00MB
27541   2019-08-20T20:07:12+0000        Time: 6.26 seconds, Memory: 100.00MB
27542   2019-08-20T20:12:25+0000        Time: 5.11 seconds, Memory: 104.00MB
27543   2019-08-20T20:12:36+0000        Time: 5.33 seconds, Memory: 104.00MB
27544   2019-08-20T20:13:19+0000        Time: 6.94 seconds, Memory: 104.00MB
27545   2019-08-20T20:14:42+0000        Time: 7.44 seconds, Memory: 106.00MB
27546   2019-08-20T20:17:20+0000        Time: 5.86 seconds, Memory: 104.00MB
27547   2019-08-20T20:19:14+0000        Time: 5.26 seconds, Memory: 104.00MB
27548   2019-08-20T20:21:52+0000        Time: 5.14 seconds, Memory: 104.00MB
27549   2019-08-20T20:30:09+0000        Time: 6.8 seconds, Memory: 104.00MB
27550   2019-08-20T20:31:30+0000        Time: 1.16 minutes, Memory: 314.00MB
27553   2019-08-20T20:44:29+0000        Time: 1.1 minutes, Memory: 314.00MB
27555   2019-08-20T20:48:20+0000        Time: 59.65 seconds, Memory: 194.00MB
27556   2019-08-20T20:50:00+0000        Time: 3.85 minutes, Memory: 1712.30MB
27558   2019-08-20T21:12:46+0000        Time: 1.11 minutes, Memory: 314.00MB
27561   2019-08-20T21:17:54+0000        Time: 1.73 seconds, Memory: 64.00MB
27562   2019-08-20T21:38:47+0000        Time: 1.14 minutes, Memory: 314.00MB
27563   2019-08-20T21:51:15+0000        Time: 59.76 seconds, Memory: 192.00MB
27564   2019-08-20T21:58:54+0000        Time: 56.61 seconds, Memory: 190.00MB
27565   2019-08-20T22:00:08+0000        Time: 1.15 minutes, Memory: 314.00MB
27568   2019-08-20T23:04:00+0000        Time: 1.08 minutes, Memory: 314.00MB
27569   2019-08-21T00:05:23+0000        Time: 1.08 minutes, Memory: 314.00MB
27570   2019-08-21T00:10:11+0000        Time: 1.3 minutes, Memory: 314.00MB
27571   2019-08-21T01:26:00+0000        Time: 5.48 seconds, Memory: 104.00MB
27572   2019-08-21T03:37:46+0000        Time: 5.62 seconds, Memory: 104.00MB
27573   2019-08-21T06:48:41+0000        Time: 8.19 seconds, Memory: 138.00MB
27574   2019-08-21T06:59:28+0000        Time: 7.07 seconds, Memory: 138.00MB
27575   2019-08-21T07:10:50+0000        Time: 5.08 seconds, Memory: 100.00MB
27576   2019-08-21T07:49:08+0000        Time: 6.98 seconds, Memory: 124.00MB
27577   2019-08-21T07:50:18+0000        Time: 1.21 minutes, Memory: 380.00MB
27578   2019-08-21T07:54:51+0000        Time: 1.28 minutes, Memory: 380.00MB
27579   2019-08-21T08:10:55+0000        Time: 1.27 minutes, Memory: 380.00MB
27580   2019-08-21T08:11:53+0000        Time: 1.26 minutes, Memory: 380.00MB
27583   2019-08-21T08:39:52+0000        Time: 4.26 minutes, Memory: 1712.30MB
27584   2019-08-21T09:21:48+0000        Time: 3.89 minutes, Memory: 1714.30MB
27585   2019-08-21T09:44:52+0000        Time: 5.48 seconds, Memory: 100.00MB
27588   2019-08-21T13:14:03+0000        Time: 3.75 minutes, Memory: 1714.30MB
27591   2019-08-21T14:04:25+0000        Time: 3.8 minutes, Memory: 1714.30MB
27592   2019-08-21T14:05:01+0000        Time: 7.78 seconds, Memory: 120.00MB
27594   2019-08-21T14:29:00+0000        Time: 3.7 minutes, Memory: 1716.30MB
27595   2019-08-21T14:44:29+0000        Time: 7.29 seconds, Memory: 120.00MB
27596   2019-08-21T14:45:18+0000        Time: 3.65 minutes, Memory: 1716.30MB
27598   2019-08-21T15:18:05+0000        Time: 3.79 minutes, Memory: 1712.30MB
27599   2019-08-21T15:18:46+0000        Time: 4.04 minutes, Memory: 1714.30MB
27600   2019-08-21T15:26:53+0000        Time: 3.88 minutes, Memory: 1714.30MB
27601   2019-08-21T16:18:55+0000        Time: 3.67 minutes, Memory: 1716.30MB
27602   2019-08-21T16:19:01+0000        Time: 55.94 seconds, Memory: 192.00MB
27603   2019-08-21T16:21:15+0000        Time: 1.3 minutes, Memory: 314.00MB
27604   2019-08-21T16:21:25+0000        Time: 7.17 seconds, Memory: 102.00MB
27605   2019-08-21T17:00:50+0000        Time: 1.05 minutes, Memory: 192.00MB
27606   2019-08-21T17:01:28+0000        Time: 55.19 seconds, Memory: 192.00MB
27607   2019-08-21T17:03:58+0000        Time: 1.22 minutes, Memory: 278.00MB
27608   2019-08-21T17:08:15+0000        Time: 5.71 seconds, Memory: 102.00MB
27609   2019-08-21T17:10:42+0000        Time: 3.54 minutes, Memory: 1720.30MB
27610   2019-08-21T17:13:43+0000        Time: 9.21 seconds, Memory: 130.00MB
27611   2019-08-21T17:41:27+0000        Time: 58.56 seconds, Memory: 208.00MB
27612   2019-08-21T17:41:28+0000        Time: 1.06 minutes, Memory: 218.00MB
27616   2019-08-21T18:40:25+0000        Time: 1.19 minutes, Memory: 314.00MB
27617   2019-08-21T19:00:12+0000        Time: 4.19 minutes, Memory: 1718.30MB
27618   2019-08-21T19:44:16+0000        Time: 1.17 minutes, Memory: 382.00MB
27619   2019-08-21T20:16:30+0000        Time: 5.78 seconds, Memory: 108.00MB
27621   2019-08-21T20:59:43+0000        Time: 1.11 minutes, Memory: 314.00MB
27622   2019-08-21T21:09:37+0000        Time: 1.37 minutes, Memory: 382.00MB
27623   2019-08-21T21:28:39+0000        Time: 1.17 minutes, Memory: 314.00MB
27624   2019-08-21T21:40:26+0000        Time: 1.2 minutes, Memory: 382.00MB
27625   2019-08-21T21:51:41+0000        Time: 1.16 minutes, Memory: 316.00MB
27626   2019-08-21T22:12:18+0000        Time: 3.53 minutes, Memory: 1730.35MB
27627   2019-08-21T22:46:43+0000        Time: 1.21 minutes, Memory: 384.00MB
27628   2019-08-21T22:52:27+0000        Time: 1.2 minutes, Memory: 380.00MB
27629   2019-08-21T23:09:49+0000        Time: 57.91 seconds, Memory: 190.00MB
27630   2019-08-22T01:17:21+0000        Time: 1.25 minutes, Memory: 316.00MB
27631   2019-08-22T06:59:10+0000        Time: 3.97 minutes, Memory: 1716.30MB
27632   2019-08-22T06:59:11+0000        Time: 3.72 minutes, Memory: 1720.30MB
27633   2019-08-22T06:59:18+0000        Time: 4.21 minutes, Memory: 1716.30MB
27634   2019-08-22T07:08:00+0000        Time: 3.66 minutes, Memory: 1716.30MB
27635   2019-08-22T08:48:45+0000        Time: 3.69 minutes, Memory: 1722.30MB
27637   2019-08-22T09:00:15+0000        Time: 1.51 minutes, Memory: 384.00MB
27638   2019-08-22T10:07:19+0000        Time: 3.81 minutes, Memory: 1720.30MB
27639   2019-08-22T11:19:22+0000        Time: 1.24 minutes, Memory: 384.00MB
27640   2019-08-22T11:19:42+0000        Time: 3.73 minutes, Memory: 1726.30MB
27641   2019-08-22T11:43:31+0000        Time: 3.74 minutes, Memory: 1720.30MB
27642   2019-08-22T12:01:13+0000        Time: 1.18 minutes, Memory: 386.00MB
27647   2019-08-22T15:47:41+0000        Time: 3.65 minutes, Memory: 1720.30MB
27651   2019-08-22T17:49:48+0000        Time: 3.02 minutes, Memory: 886.00MB
27652   2019-08-22T19:23:31+0000        Time: 1.77 minutes, Memory: 460.00MB
27655   2019-08-22T22:21:11+0000        Time: 9.09 minutes, Memory: 2698.30MB
27656   2019-08-22T22:21:14+0000        Time: 8.43 seconds, Memory: 308.00MB
27658   2019-08-22T22:34:23+0000        Time: 2.46 minutes, Memory: 780.00MB
27659   2019-08-22T23:21:39+0000        Time: 9.6 seconds, Memory: 308.00MB
27661   2019-08-22T23:32:10+0000        Time: 2.52 minutes, Memory: 782.00MB
27662   2019-08-22T23:36:01+0000        Time: 2.52 minutes, Memory: 780.00MB
27664   2019-08-23T00:13:35+0000        Time: 1.66 minutes, Memory: 460.00MB
27665   2019-08-23T00:16:02+0000        Time: 8.78 minutes, Memory: 2698.30MB
27666   2019-08-23T01:10:25+0000        Time: 8.74 minutes, Memory: 2698.30MB
27667   2019-08-23T01:40:07+0000        Time: 16.89 seconds, Memory: 526.00MB
27668   2019-08-23T01:41:09+0000        Time: 1.82 minutes, Memory: 568.00MB
27669   2019-08-23T01:44:38+0000        Time: 1.66 minutes, Memory: 462.00MB
27670   2019-08-23T02:02:58+0000        Time: 9.28 seconds, Memory: 302.00MB
27671   2019-08-23T02:05:01+0000        Time: 8.51 seconds, Memory: 306.00MB
27672   2019-08-23T02:12:59+0000        Time: 9.24 seconds, Memory: 304.00MB
27673   2019-08-23T02:21:37+0000        Time: 1.65 minutes, Memory: 521.54MB
27674   2019-08-23T02:26:24+0000        Time: 8.61 minutes, Memory: 2698.30MB
27675   2019-08-23T02:36:39+0000        Time: 1.87 minutes, Memory: 592.00MB
27676   2019-08-23T02:45:17+0000        Time: 9.47 seconds, Memory: 306.00MB
27677   2019-08-23T03:18:37+0000        Time: 9.85 seconds, Memory: 388.00MB
27678   2019-08-23T03:20:18+0000        Time: 8.68 minutes, Memory: 2698.30MB
27679   2019-08-23T03:29:00+0000        Time: 7.97 seconds, Memory: 312.00MB
27680   2019-08-23T03:33:41+0000        Time: 2.6 minutes, Memory: 786.00MB
27681   2019-08-23T03:35:14+0000        Time: 9.25 seconds, Memory: 306.00MB
27682   2019-08-23T04:09:41+0000        Time: 2.39 minutes, Memory: 784.00MB
27683   2019-08-23T04:10:31+0000        Time: 8.81 minutes, Memory: 2698.30MB
27684   2019-08-23T04:14:39+0000        Time: 8.78 minutes, Memory: 2702.31MB
27685   2019-08-23T04:16:46+0000        Time: 1.7 minutes, Memory: 460.00MB
27686   2019-08-23T04:47:49+0000        Time: 38.6 seconds, Memory: 306.00MB
27687   2019-08-23T05:08:28+0000        Time: 17.91 seconds, Memory: 418.00MB
27688   2019-08-23T05:51:33+0000        Time: 1.56 minutes, Memory: 460.00MB
27689   2019-08-23T05:53:08+0000        Time: 9.94 minutes, Memory: 2760.51MB
27690   2019-08-23T06:01:34+0000        Time: 8.81 seconds, Memory: 340.00MB
27691   2019-08-23T06:36:46+0000        Time: 9.53 seconds, Memory: 348.00MB
27692   2019-08-23T06:45:47+0000        Time: 8.95 seconds, Memory: 343.54MB
27693   2019-08-23T06:51:48+0000        Time: 2.55 minutes, Memory: 846.00MB
27694   2019-08-23T07:11:39+0000        Time: 9.51 seconds, Memory: 324.00MB
27695   2019-08-23T07:14:06+0000        Time: 1.62 minutes, Memory: 466.00MB
27697   2019-08-23T07:49:14+0000        Time: 10.44 seconds, Memory: 318.00MB
27698   2019-08-23T07:51:08+0000        Time: 25.49 seconds, Memory: 564.00MB
27699   2019-08-23T07:53:39+0000        Time: 8.73 seconds, Memory: 310.00MB
27700   2019-08-23T08:03:10+0000        Time: 9.61 seconds, Memory: 404.00MB
27701   2019-08-23T08:30:26+0000        Time: 8.55 seconds, Memory: 308.00MB
27702   2019-08-23T08:39:14+0000        Time: 8.26 seconds, Memory: 306.00MB
27706   2019-08-23T08:55:50+0000        Time: 1.62 minutes, Memory: 462.00MB
27707   2019-08-23T08:55:55+0000        Time: 1.66 minutes, Memory: 521.54MB
27708   2019-08-23T08:57:22+0000        Time: 1.7 minutes, Memory: 521.54MB
27710   2019-08-23T09:15:23+0000        Time: 8.96 minutes, Memory: 2700.30MB
27712   2019-08-23T09:34:02+0000        Time: 20.08 seconds, Memory: 564.00MB
27713   2019-08-23T10:14:58+0000        Time: 8.83 seconds, Memory: 316.00MB
27715   2019-08-23T11:45:52+0000        Time: 9.08 seconds, Memory: 316.00MB
27716   2019-08-23T11:47:24+0000        Time: 2.42 minutes, Memory: 726.00MB
27717   2019-08-23T12:02:55+0000        Time: 11.4 seconds, Memory: 316.00MB
27718   2019-08-23T12:03:13+0000        Time: 2.61 minutes, Memory: 726.00MB
27719   2019-08-23T12:47:43+0000        Time: 9.24 seconds, Memory: 316.00MB
27720   2019-08-23T12:52:16+0000        Time: 9.96 seconds, Memory: 316.00MB
27721   2019-08-23T13:37:43+0000        Time: 9.19 seconds, Memory: 316.00MB
27722   2019-08-23T13:42:11+0000        Time: 2.55 minutes, Memory: 726.00MB
27723   2019-08-23T14:12:10+0000        Time: 10.81 seconds, Memory: 310.00MB
27724   2019-08-23T14:20:12+0000        Time: 8.28 seconds, Memory: 306.00MB
27725   2019-08-23T14:20:17+0000        Time: 8.52 seconds, Memory: 304.00MB
27726   2019-08-23T14:20:43+0000        Time: 9.44 seconds, Memory: 304.00MB
27727   2019-08-23T14:24:34+0000        Time: 14.26 seconds, Memory: 402.00MB
27728   2019-08-23T14:27:29+0000        Time: 16.06 seconds, Memory: 406.00MB
27731   2019-08-23T14:34:27+0000        Time: 15.17 seconds, Memory: 406.00MB
27732   2019-08-23T14:34:27+0000        Time: 9 seconds, Memory: 308.00MB
27733   2019-08-23T14:35:59+0000        Time: 13.43 seconds, Memory: 410.00MB
27742   2019-08-23T14:54:46+0000        Time: 9.1 seconds, Memory: 308.00MB
27760   2019-08-23T20:21:05+0000        Time: 2.78 minutes, Memory: 784.00MB
27763   2019-08-23T20:53:32+0000        Time: 11.23 seconds, Memory: 394.00MB
27765   2019-08-23T21:02:03+0000        Time: 9.23 minutes, Memory: 2708.30MB
27766   2019-08-23T21:04:12+0000        Time: 9.55 seconds, Memory: 308.00MB
27768   2019-08-23T21:08:03+0000        Time: 9.25 seconds, Memory: 306.00MB
27769   2019-08-23T21:55:54+0000        Time: 7.88 seconds, Memory: 308.00MB
27770   2019-08-23T21:55:56+0000        Time: 9.2 seconds, Memory: 306.00MB
27771   2019-08-23T22:05:00+0000        Time: 8.25 seconds, Memory: 306.00MB
27772   2019-08-23T22:05:18+0000        Time: 2.62 minutes, Memory: 784.00MB
27773   2019-08-23T22:09:13+0000        Time: 2.52 minutes, Memory: 784.00MB
27778   2019-08-23T22:41:38+0000        Time: 2.39 minutes, Memory: 784.00MB
27779   2019-08-23T22:41:43+0000        Time: 2.49 minutes, Memory: 784.00MB
27782   2019-08-23T23:22:09+0000        Time: 1.12 seconds, Memory: 66.00MB
27785   2019-08-23T23:52:31+0000        Time: 2.82 minutes, Memory: 884.00MB
27786   2019-08-24T00:02:03+0000        Time: 2.68 minutes, Memory: 724.00MB
27787   2019-08-24T00:02:06+0000        Time: 8.7 minutes, Memory: 2708.30MB
27788   2019-08-24T00:37:42+0000        Time: 9.64 minutes, Memory: 2712.31MB
27789   2019-08-24T00:41:13+0000        Time: 9.08 minutes, Memory: 2710.30MB
27790   2019-08-24T00:56:58+0000        Time: 9.56 minutes, Memory: 2710.30MB
27791   2019-08-24T00:57:00+0000        Time: 1.61 minutes, Memory: 464.00MB
27793   2019-08-24T01:10:23+0000        Time: 2.64 minutes, Memory: 726.00MB
27795   2019-08-24T01:23:28+0000        Time: 1.71 minutes, Memory: 466.00MB
27797   2019-08-24T01:23:40+0000        Time: 2.69 minutes, Memory: 724.00MB
27798   2019-08-24T01:36:28+0000        Time: 21.51 seconds, Memory: 418.00MB
27800   2019-08-24T01:46:01+0000        Time: 9.72 minutes, Memory: 2736.31MB
27801   2019-08-24T02:17:02+0000        Time: 8.67 seconds, Memory: 304.00MB
27802   2019-08-24T02:19:08+0000        Time: 9.83 seconds, Memory: 406.00MB
27804   2019-08-24T02:36:43+0000        Time: 9.67 seconds, Memory: 304.00MB
27805   2019-08-24T02:46:05+0000        Time: 1.57 minutes, Memory: 468.00MB
27809   2019-08-24T04:04:25+0000        Time: 10.23 seconds, Memory: 328.00MB
27810   2019-08-24T04:06:13+0000        Time: 8.61 seconds, Memory: 304.00MB
27811   2019-08-24T04:09:02+0000        Time: 17.32 seconds, Memory: 418.00MB
27812   2019-08-24T04:10:57+0000        Time: 9.05 seconds, Memory: 304.00MB
27813   2019-08-24T04:32:21+0000        Time: 15.61 seconds, Memory: 410.00MB
27814   2019-08-24T04:38:36+0000        Time: 8.52 seconds, Memory: 308.00MB
27815   2019-08-24T04:42:28+0000        Time: 8.09 seconds, Memory: 306.00MB
27816   2019-08-24T04:44:58+0000        Time: 8.99 seconds, Memory: 310.00MB
27818   2019-08-24T05:07:39+0000        Time: 8.11 seconds, Memory: 308.00MB
27819   2019-08-24T05:10:26+0000        Time: 12.39 seconds, Memory: 320.00MB
27820   2019-08-24T05:40:30+0000        Time: 9.88 seconds, Memory: 304.00MB
27821   2019-08-24T05:45:30+0000        Time: 9.45 seconds, Memory: 306.00MB
27822   2019-08-24T05:50:39+0000        Time: 9.41 seconds, Memory: 308.00MB
27823   2019-08-24T05:52:33+0000        Time: 9.37 seconds, Memory: 342.00MB
27824   2019-08-24T05:54:50+0000        Time: 9.15 seconds, Memory: 334.00MB
27825   2019-08-24T05:57:27+0000        Time: 8.44 seconds, Memory: 304.00MB
27826   2019-08-24T05:58:57+0000        Time: 10.93 seconds, Memory: 350.00MB
27827   2019-08-24T06:02:33+0000        Time: 2.79 minutes, Memory: 724.00MB
27828   2019-08-24T06:04:49+0000        Time: 1.64 minutes, Memory: 464.00MB
27829   2019-08-24T06:06:28+0000        Time: 8.82 seconds, Memory: 308.00MB
27830   2019-08-24T06:28:01+0000        Time: 1.56 minutes, Memory: 462.00MB
27831   2019-08-24T06:34:38+0000        Time: 8.81 seconds, Memory: 318.00MB
27832   2019-08-24T06:36:35+0000        Time: 1.62 minutes, Memory: 472.00MB
27833   2019-08-24T06:42:50+0000        Time: 9.2 seconds, Memory: 324.00MB
27834   2019-08-24T06:48:25+0000        Time: 8 seconds, Memory: 318.00MB
27835   2019-08-24T07:06:10+0000        Time: 8.59 seconds, Memory: 304.00MB
27836   2019-08-24T07:20:31+0000        Time: 8.52 seconds, Memory: 304.00MB
27837   2019-08-24T07:31:48+0000        Time: 12.47 seconds, Memory: 404.00MB
27838   2019-08-24T07:37:37+0000        Time: 8.72 seconds, Memory: 336.00MB
27839   2019-08-24T07:44:03+0000        Time: 9.38 seconds, Memory: 322.00MB
27840   2019-08-24T08:02:58+0000        Time: 9.2 seconds, Memory: 306.00MB
27841   2019-08-24T08:26:54+0000        Time: 9.13 seconds, Memory: 312.00MB
27842   2019-08-24T08:27:48+0000        Time: 9.53 seconds, Memory: 304.00MB
27843   2019-08-24T08:29:23+0000        Time: 2.51 minutes, Memory: 784.00MB
27844   2019-08-24T08:37:21+0000        Time: 1.65 minutes, Memory: 464.00MB
27845   2019-08-24T08:51:43+0000        Time: 9.78 seconds, Memory: 310.00MB
27846   2019-08-24T08:53:43+0000        Time: 2.58 minutes, Memory: 722.00MB
27847   2019-08-24T09:05:25+0000        Time: 8.26 seconds, Memory: 306.00MB
27848   2019-08-24T09:07:29+0000        Time: 9.79 seconds, Memory: 324.00MB
27849   2019-08-24T09:24:31+0000        Time: 8.75 seconds, Memory: 314.00MB
27850   2019-08-24T09:37:48+0000        Time: 1.72 minutes, Memory: 566.00MB
27851   2019-08-24T09:41:58+0000        Time: 2.86 minutes, Memory: 882.00MB
27852   2019-08-24T09:43:31+0000        Time: 8.49 seconds, Memory: 308.00MB
27853   2019-08-24T10:01:08+0000        Time: 8.56 seconds, Memory: 304.00MB
27854   2019-08-24T10:10:14+0000        Time: 9.07 seconds, Memory: 304.00MB
27855   2019-08-24T10:13:09+0000        Time: 8.44 seconds, Memory: 306.00MB
27856   2019-08-24T10:38:57+0000        Time: 9.17 seconds, Memory: 326.00MB
27857   2019-08-24T10:40:08+0000        Time: 1.95 minutes, Memory: 612.00MB
27858   2019-08-24T10:43:15+0000        Time: 8.92 minutes, Memory: 2708.30MB
27859   2019-08-24T10:45:44+0000        Time: 9.1 minutes, Memory: 2710.30MB
27860   2019-08-24T10:58:38+0000        Time: 9.84 seconds, Memory: 316.00MB
27861   2019-08-24T11:14:37+0000        Time: 9.06 seconds, Memory: 304.00MB
27862   2019-08-24T11:45:37+0000        Time: 2.67 minutes, Memory: 790.00MB
27863   2019-08-24T11:50:32+0000        Time: 9.71 minutes, Memory: 2754.44MB
27864   2019-08-24T12:01:18+0000        Time: 2.4 minutes, Memory: 784.00MB
27865   2019-08-24T12:18:46+0000        Time: 15.48 seconds, Memory: 418.00MB
27866   2019-08-24T12:21:36+0000        Time: 9.71 seconds, Memory: 306.00MB
27867   2019-08-24T12:24:08+0000        Time: 8.8 seconds, Memory: 306.00MB
27869   2019-08-24T12:24:16+0000        Time: 8.75 seconds, Memory: 332.00MB
27870   2019-08-24T12:26:37+0000        Time: 1.09 seconds, Memory: 62.00MB
27871   2019-08-24T12:34:51+0000        Time: 8.75 seconds, Memory: 332.00MB
27872   2019-08-24T12:51:07+0000        Time: 10.09 seconds, Memory: 328.00MB
27873   2019-08-24T12:51:19+0000        Time: 14.04 seconds, Memory: 412.00MB
27874   2019-08-24T13:03:02+0000        Time: 9.04 seconds, Memory: 306.00MB
27875   2019-08-24T13:06:50+0000        Time: 8.31 seconds, Memory: 312.00MB
27876   2019-08-24T13:12:10+0000        Time: 11.2 seconds, Memory: 344.00MB
27877   2019-08-24T13:20:34+0000        Time: 8.68 seconds, Memory: 306.00MB
27878   2019-08-24T18:36:38+0000        Time: 9.09 minutes, Memory: 2710.30MB
27882   2019-08-24T18:48:33+0000        Time: 8.72 minutes, Memory: 2708.30MB
27883   2019-08-24T18:48:35+0000        Time: 10.99 seconds, Memory: 348.00MB
27884   2019-08-24T20:11:47+0000        Time: 9.09 seconds, Memory: 304.00MB
27885   2019-08-24T20:19:54+0000        Time: 16.84 seconds, Memory: 420.00MB
27886   2019-08-24T22:10:18+0000        Time: 11.51 seconds, Memory: 314.00MB
27887   2019-08-24T22:33:20+0000        Time: 11.64 seconds, Memory: 318.00MB
27888   2019-08-24T22:40:31+0000        Time: 9.16 seconds, Memory: 312.00MB
27889   2019-08-24T23:42:09+0000        Time: 10.76 seconds, Memory: 344.00MB
27890   2019-08-24T23:49:28+0000        Time: 8.31 seconds, Memory: 306.00MB
27891   2019-08-24T23:59:10+0000        Time: 9.25 seconds, Memory: 343.54MB
27892   2019-08-24T23:59:22+0000        Time: 1.82 minutes, Memory: 566.00MB
27893   2019-08-24T23:59:40+0000        Time: 1.71 minutes, Memory: 468.00MB
27894   2019-08-25T00:03:40+0000        Time: 8.93 seconds, Memory: 322.00MB
27895   2019-08-25T00:59:57+0000        Time: 1.72 minutes, Memory: 470.00MB
27896   2019-08-25T00:59:59+0000        Time: 9.2 seconds, Memory: 322.00MB
27897   2019-08-25T01:21:16+0000        Time: 9.64 seconds, Memory: 310.00MB
27899   2019-08-25T10:28:18+0000        Time: 13.17 seconds, Memory: 348.00MB
27900   2019-08-25T10:28:53+0000        Time: 10.43 seconds, Memory: 406.00MB
27901   2019-08-25T17:31:01+0000        Time: 17.83 seconds, Memory: 420.00MB
27902   2019-08-25T17:36:39+0000        Time: 9.49 seconds, Memory: 306.00MB
27903   2019-08-25T18:15:27+0000        Time: 16.91 seconds, Memory: 420.00MB
27904   2019-08-25T18:46:17+0000        Time: 1.87 minutes, Memory: 594.00MB
27906   2019-08-25T20:08:00+0000        Time: 9.27 seconds, Memory: 308.00MB
27907   2019-08-25T20:18:04+0000        Time: 8.97 seconds, Memory: 314.00MB
27908   2019-08-25T20:42:01+0000        Time: 8.55 seconds, Memory: 314.00MB
27909   2019-08-25T20:54:16+0000        Time: 9.65 seconds, Memory: 314.00MB
27910   2019-08-25T21:04:24+0000        Time: 9.84 seconds, Memory: 314.00MB
27912   2019-08-25T21:17:58+0000        Time: 8.97 seconds, Memory: 334.00MB
27913   2019-08-25T21:39:13+0000        Time: 10.68 seconds, Memory: 320.00MB
27914   2019-08-25T23:12:44+0000        Time: 9.96 seconds, Memory: 316.00MB
27915   2019-08-25T23:18:15+0000        Time: 8.74 seconds, Memory: 304.00MB
27916   2019-08-26T06:47:03+0000        Time: 9.85 seconds, Memory: 320.00MB
27918   2019-08-26T09:08:28+0000        Time: 2.31 minutes, Memory: 738.00MB
27919   2019-08-26T09:24:50+0000        Time: 2.32 minutes, Memory: 738.00MB
27920   2019-08-26T10:00:22+0000        Time: 2.37 minutes, Memory: 738.00MB
27921   2019-08-26T10:49:27+0000        Time: 8.94 minutes, Memory: 2712.32MB
27922   2019-08-26T10:50:03+0000        Time: 9.03 minutes, Memory: 2712.32MB
27923   2019-08-26T10:53:47+0000        Time: 8.94 minutes, Memory: 2712.32MB
27924   2019-08-26T11:10:14+0000        Time: 9.65 seconds, Memory: 306.00MB
27925   2019-08-26T11:18:53+0000        Time: 5 minutes, Memory: 792.00MB
27926   2019-08-26T11:38:04+0000        Time: 11.42 seconds, Memory: 334.00MB
27927   2019-08-26T11:51:00+0000        Time: 9.24 minutes, Memory: 2712.32MB
27928   2019-08-26T11:51:01+0000        Time: 10.23 seconds, Memory: 306.00MB
27929   2019-08-26T11:53:10+0000        Time: 2.79 minutes, Memory: 790.00MB
27930   2019-08-26T11:56:46+0000        Time: 34.46 seconds, Memory: 336.00MB
27932   2019-08-26T12:51:39+0000        Time: 9.72 seconds, Memory: 306.00MB
27933   2019-08-26T12:52:53+0000        Time: 2.7 minutes, Memory: 790.00MB
27934   2019-08-26T12:55:50+0000        Time: 11.81 seconds, Memory: 334.00MB
27935   2019-08-26T13:38:06+0000        Time: 9.34 minutes, Memory: 2712.32MB
27936   2019-08-26T13:39:53+0000        Time: 9.42 seconds, Memory: 312.00MB
27938   2019-08-26T13:55:00+0000        Time: 2.85 minutes, Memory: 884.00MB
27939   2019-08-26T14:34:21+0000        Time: 9.01 seconds, Memory: 312.00MB
27940   2019-08-26T15:06:48+0000        Time: 8.88 minutes, Memory: 2706.30MB
27941   2019-08-26T15:06:51+0000        Time: 3.06 minutes, Memory: 884.00MB
27943   2019-08-26T15:12:36+0000        Time: 17.43 seconds, Memory: 420.00MB
27944   2019-08-26T15:17:25+0000        Time: 17.58 seconds, Memory: 526.00MB
27946   2019-08-26T15:44:30+0000        Time: 17.75 seconds, Memory: 420.00MB
27947   2019-08-26T15:45:21+0000        Time: 17.52 seconds, Memory: 526.00MB
27949   2019-08-26T16:07:12+0000        Time: 2.86 minutes, Memory: 884.00MB
27950   2019-08-26T16:07:21+0000        Time: 16.04 seconds, Memory: 420.00MB
27951   2019-08-26T16:30:14+0000        Time: 17.93 seconds, Memory: 526.00MB
27952   2019-08-26T16:30:33+0000        Time: 10.48 minutes, Memory: 2706.30MB
27953   2019-08-26T16:42:21+0000        Time: 10.56 seconds, Memory: 312.00MB
27954   2019-08-26T16:45:03+0000        Time: 14.71 seconds, Memory: 402.00MB
27955   2019-08-26T16:47:19+0000        Time: 14.62 seconds, Memory: 402.00MB
27956   2019-08-26T16:56:02+0000        Time: 15.01 seconds, Memory: 404.00MB
27957   2019-08-26T16:58:35+0000        Time: 17.01 seconds, Memory: 404.00MB
27958   2019-08-26T17:00:21+0000        Time: 9.87 seconds, Memory: 312.00MB
27959   2019-08-26T17:28:42+0000        Time: 9.46 seconds, Memory: 312.00MB
27960   2019-08-26T17:33:18+0000        Time: 9.45 seconds, Memory: 312.00MB

Change 532399 merged by jenkins-bot:
[mediawiki/core@master] Revert "Make LocalisationCache a service"

https://gerrit.wikimedia.org/r/532399

hashar closed this task as Resolved.Aug 27 2019, 7:21 AM
hashar assigned this task to Ladsgroup.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptAug 27 2019, 7:21 AM

Change 532679 had a related patch set uploaded (by simetrical; owner: simetrical):
[mediawiki/core@master] Make LocalisationCache a service

https://gerrit.wikimedia.org/r/532679

Change 532679 merged by jenkins-bot:
[mediawiki/core@master] Make LocalisationCache a service

https://gerrit.wikimedia.org/r/532679

Change 541624 had a related patch set uploaded (by Jforrester; owner: simetrical):
[mediawiki/core@REL1_34] Make LocalisationCache a service

https://gerrit.wikimedia.org/r/541624

Change 541624 merged by jenkins-bot:
[mediawiki/core@REL1_34] Make LocalisationCache a service

https://gerrit.wikimedia.org/r/541624